function strToJson(str) {
    return eval('(' + str + ')');
}

function asRelativeTime(_time) {
    var d_seconds, d_minutes, d_hours, d_days, d;
    var _now = parseInt(new Date().getTime());
    d = _now - _time;
    d_days = parseInt(d / 86400000);
    d_hours = parseInt(d / 3600000);
    d_minutes = parseInt(d / 60000);
    d_seconds = parseInt(d / 1000);

    if (d_seconds < 60) {                    //防止显示 -xxx 秒前
        return '刚刚' //d_seconds + '秒前';
    } else if (d_minutes > 0 && d_minutes < 60) {
        return d_minutes + "分钟前";
    } else if (d_hours > 0 && d_hours < 24) {
        return d_hours + "小时前";
    } else if (d_days > 0 && d_days < 4) {
        return d_days + "天前";
    } else {
        var date = new Date(_time);
        return date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate() + ' ' + date.getHours() + ':' + date.getMinutes() + ':' + date.getMilliseconds();
    }

}

//android和ios环境下定义不同的初始化函数


var setupBridge;
// alert(window.navigator.userAgent.indexOf('Android') !=-1);
// console.log(window.navigator.userAgent.indexOf('Adr'));

try {
    // console.log(window.navigator.userAgent);
    if (window.navigator.userAgent.indexOf('Android') != -1 || window.navigator.userAgent.indexOf('Adr') != -1) {

        //document.writeln('<script src="js/bridge-android.js" ></script>');
        setupBridge = function (callback) {
            if (window.WebViewJavascriptBridge) {
                callback(WebViewJavascriptBridge)
            } else {
                document.addEventListener(
                    'WebViewJavascriptBridgeReady'
                    , function () {
                        callback(WebViewJavascriptBridge)
                    },
                    false
                );
            }
        }
        setupBridge(function (bridge) {
            bridge.init(function (message, responseCallback) {
                var data = {};
                responseCallback(data);
            });
        });

        console.log('android browser');
    } else {
        //document.writeln('<script src="js/bridge-ios.js" ></script>');
        setupBridge = function (callback) {
            if (window.WebViewJavascriptBridge) {
                return callback(WebViewJavascriptBridge);
            }
            if (window.WVJBCallbacks) {
                return window.WVJBCallbacks.push(callback);
            }
            window.WVJBCallbacks = [callback];
            var WVJBIframe = document.createElement('iframe');
            WVJBIframe.style.display = 'none';
            WVJBIframe.src = 'https://__bridge_loaded__';
            document.documentElement.appendChild(WVJBIframe);
            setTimeout(function () {
                document.documentElement.removeChild(WVJBIframe)
            }, 0)
        }
        // console.log('ios browser');
    }
} catch (ex) {
    console.log(ex);
}


