var setupBridge;
var _page = 1;
var off = 0;
var wid;
var swi = true;
var fen;
var teo;
var doma;
var domain;
var title
try {
    if (window.navigator.userAgent.indexOf('Android') != -1 || window.navigator.userAgent.indexOf('Adr') != -1) {
        setupBridge = function (callback) {
            if (window.WebViewJavascriptBridge) {
                callback(WebViewJavascriptBridge)
            } else {
                document.addEventListener(
                    'WebViewJavascriptBridgeReady'
                    , function () {
                        callback(WebViewJavascriptBridge)
                    },
                    false
                );
            }
        }
        setupBridge(function (bridge) {
            bridge.init(function (message, responseCallback) {
                var data = {};
                responseCallback(data);
            });
        });

        console.log('android browser');
    } else {
        setupBridge = function (callback) {
            if (window.WebViewJavascriptBridge) {
                return callback(WebViewJavascriptBridge);
            }
            if (window.WVJBCallbacks) {
                return window.WVJBCallbacks.push(callback);
            }
            window.WVJBCallbacks = [callback];
            var WVJBIframe = document.createElement('iframe');
            WVJBIframe.style.display = 'none';
            WVJBIframe.src = 'https://__bridge_loaded__';
            document.documentElement.appendChild(WVJBIframe);
            setTimeout(function () {
                document.documentElement.removeChild(WVJBIframe)
            }, 0)
        }
        console.log('ios browser');
    }
} catch (ex) {
    console.log(ex);
}
//刷新，第一次进页面
setupBridge(function (bridge) {
    bridge.registerHandler("dataRefresh", function (data, responseCallback) {
        var obj = eval('(' + data + ')');
        if (_page == 1) {
            overall(obj.id, obj.domainStr,obj.title);
            domain = obj.domainStr;
            title = obj.title;
            _page = 0;
        } else if (_page == 0) {
            if (obj.id != null) {
                $("#div ul>li").remove();
                overall(obj.id, obj.domainStr,obj.title);
                off = 0;
                $(document).scrollTop(0);
                window.WebViewJavascriptBridge.callHandler(
                    'refreshOver', {'code': 1, 'message': '请求成功'}
                    , function (responseData) {
                    });
            } else {
                window.WebViewJavascriptBridge.callHandler(
                    'refreshOver', {'code': 2, 'message': '请求失败'}
                    , function (responseData) {
                    });
            }
        }
    });
    bridge.registerHandler("dataRefreshBack", function (data, responseCallback) {
        var obj = eval('(' + data + ')');
        $("#div ul>li").remove();
        over(obj.id, domain);
        off = 0;
        $(document).scrollTop(0);
    })
});
// overall(118317,"http://acgapi.78dm.net/");
function overall(id, domainStr,title) {
    wid = id;
    doma = domainStr;
    titl=title
    $.ajax({
        url: "" + domainStr + "v2/ct/detail?ctid=" + id + "&type=3",
        success: function (data) {
            fen = data.data[0].fen.average;
            window.WebViewJavascriptBridge.callHandler(
                'refreshOver', {'code': 1, 'message': '请求成功', "fen": parseInt(fen) }
                , function (responseData) {
                });
            setTimeout(function () {
                $('.sp').fadeOut(500);
            }, 500);
            tab(data);
        }
    });
    $.ajax({
        url: "" + domainStr + "v2/kanban/list?offset=0&oid=" + id + "&idtype=ct&limit=10&category_id=&fid=&is_friend=&is_fj=&is_jiajing=&is_hometop=",
        // async:false,
        success: function (data) {
            $('.logo').children('img').attr('src', data.data.ad[0].cover);
            $('.logo').click(function () {
                if (data.data.ad [0].link_type == "link") {

                    touchURLEventHandler(data.data.ad [0].link)
                } else if (data.data.ad [0].link_type == "tid") {

                    toUct(data.data.ad [0].tid, data.data.ad [0].link_type)
                } else if (data.data.ad [0].link_type == "cid") {

                    toUcc(data.data.ad [0].cid, data.data.ad [0].link_type)
                }
            })

            for (var i = 0; i < data.data.comment.length; i++) {
                (function (i) {
                    var fy = new Date(data.data.comment[i].ctime * 1000).getFullYear();
                    var mt = new Date(data.data.comment[i].ctime * 1000).getMonth() + 1;
                    var da = new Date(data.data.comment[i].ctime * 1000).getDate();
                    var img = '';
                    if (data.data.comment[i].parent.fj) {
                        for (var j = 0; j < data.data.comment[i].parent.fj.length; j++) {
                            img += '<img src="' + data.data.comment[i].parent.fj[j] + '" class="jie">'
                        }
                    }
                    var An = '';
                    var puse = '';
                    if (data.data.comment[i].parent.message) {
                        An = decodeURIComponent(data.data.comment[i].parent.message);
                        puse = data.data.comment[i].parent.user.username + "：";
                    } else {
                        An = "";
                        puse = "";
                    }
                    var image = '';
                    if (data.data.comment[i].fj.length > 0) {
                        for (var j = 0; j < data.data.comment[i].fj.length; j++) {
                            image += '<img src="' + data.data.comment[i].fj[j] + '" class="jie">';
                        }
                    }
                    var nec = decodeURIComponent(data.data.comment[i].message);
                    $(' #div ul').append('<li class="pl"><div>' +
                        '<img src="' + data.data.comment[i].user.cover + '"  onclick="handleOpenAuthor(event,this)" onerror="nofind()" date="' + data.data.comment[i].user.uid + '">' +
                        '<p><span>' + data.data.comment[i].user.username + '</span>' +
                        '<span>' + data.data.comment[i].user.ugname + '</span><strong style="clear: both;display: block"></strong>' +
                        '<span>' + fy + "-" + mt + "-" + da + '</span></p></div>' +
                        '<div><p>' + nec + image + '</p>' + '<p class="yic"><span><strong class="ston">' + puse + '</strong>' + An + img + '' + '</span></p>' +
                        '<p onclick="handleClickReplay(this)" pid="' + data.data.comment[i].id + '" Parid="' + data.data.comment[i].parent.id + '">' +
                        '' + '<span>回复</span></p></div></li>');
                    // $(".ovue").attr("onerror" ,"javascript:this.src='../fonts/a.png;this.onerror=null'")
                })(i)
            }
            teo = $(".logo").offset().top;
        }
    });
    BindWindowEvent();
}
function over(id, domainStr) {
    wid = id;
    doma = domainStr
    $.ajax({
        url: "" + domainStr + "v2/kanban/list?offset=0&oid=" + id + "&idtype=ct&limit=10&category_id=&fid=&is_friend=&is_fj=&is_jiajing=&is_hometop=",
        // async:false,
        success: function (data) {
            $('.logo').children('img').attr('src', data.data.ad[0].cover);
            /*            $('.logo').click(function () {
             if(data.data.ad [0].link_type=="link"){

             touchURLEventHandler(data.data.ad [0].link)
             }else if(data.data.ad [0].link_type=="tid"){

             toUct(data.data.ad [0].tid,data.data.ad [0].link_type)
             }else if(data.data.ad [0].link_type=="cid"){

             toUcc(data.data.ad [0].cid,data.data.ad [0].link_type)
             }
             })*/
            for (var i = 0; i < data.data.comment.length; i++) {
                (function (i) {
                    var fy = new Date(data.data.comment[i].ctime * 1000).getFullYear();
                    var mt = new Date(data.data.comment[i].ctime * 1000).getMonth() + 1;
                    var da = new Date(data.data.comment[i].ctime * 1000).getDate();
                    var img = '';
                    if (data.data.comment[i].parent.fj) {
                        for (var j = 0; j < data.data.comment[i].parent.fj.length; j++) {
                            img += '<img src="' + data.data.comment[i].parent.fj[j] + '" class="jie">'
                        }
                    }

                    var An = '';
                    var puse = '';
                    if (data.data.comment[i].parent.message) {
                        console.log(i)
                        An = decodeURIComponent(data.data.comment[i].parent.message);
                        puse = data.data.comment[i].parent.user.username + "：";
                    } else {
                        An = "";
                        puse = "";
                    }
                    var image = '';
                    if (data.data.comment[i].fj.length > 0) {
                        for (var j = 0; j < data.data.comment[i].fj.length; j++) {
                            image += '<img src="' + data.data.comment[i].fj[j] + '" class="jie">';
                        }
                    }
                    var nec = decodeURIComponent(data.data.comment[i].message);
                    $(' #div ul').append('<li class="pl"><div>' +
                        '<img src="' + data.data.comment[i].user.cover + '"  ' +
                        'onclick="handleOpenAuthor(event,this)" onerror="nofind()" date="' + data.data.comment[i].user.uid + '">' +
                        '<p><span>' + data.data.comment[i].user.username + '</span>' +
                        '<span>' + data.data.comment[i].user.ugname + '</span><strong style="clear: both;display: block"></strong>' +
                        '<span>' + fy + "-" + mt + "-" + da + '</span></p></div>' +
                        '<div><p>' + nec + image + '</p>' + '<p  class="yic"><span><strong class="ston">' + puse + '</strong>' + An + img + '' + '</span></p>' +
                        '<p onclick="handleClickReplay(this)" pid="' + data.data.comment[i].id + '" Parid="' + data.data.comment[i].parent.id + '">' +
                        '' + '<span>回复</span></p></div></li>');
                })(i)
            }
            // teo = $(".logo").offset().top;
        }
    });
    BindWindowEvent();
}
//实现tab切换
function tab(data) {
    var div = '';
    for (var i = 0; i < data.data.length; i++) {
        div += '<div class="swiper-slide"><span>' + data.data[i].title + '</span></div>';
    }
    $('.swiper-wrapper').html(div);
    $('.swiper-slide').eq(0).find('span').addClass('bgc');

    var mySwiper = new Swiper('.cnt', {
        slidesPerView: 4,
        onClick: function (ev) {
            $(ev.clickedSlide).find('span').addClass('bgc');
            $(ev.clickedSlide).siblings().find('span').removeClass('bgc');
            //点击时切换
            for (var i = 0; i < data.data.length; i++) {
                if (ev.clickedIndex == i) {
                    if ((typeof data.data[i].content) == 'object') {
                        xtab(data, i);
                        imgC = $('.section img');
                        imgc(imgC);
                    } else {
                        $('.section').html(data.data[i].content);
                        imgC = $('.section img');
                        imgc(imgC);
                        $('img').attr('height','auto');
                    }
                }
            }

            teo = $(".logo").offset().top;
        }
    });

    xtab(data);
}

//渲染tab
function xtab(data, a) {
    var i = 0;
    if (a) {
        i = a;
    }
    if(titl==null||titl==undefined){
    for (var e = 0; e < data.data[0].content.length; e++) {
        if (data.data[0].content[e].name == "名称") {
            $('header h4').html(data.data[0].content[e].value)
        }
    }
    }else{
        $('header h4').html(titl)
    }
    var str = '';
    for (var j = 0; j < data.data[i].content.length; j++) {
        if (data.data[i].content[j].type == 3) {
            str += '<img src="' + data.data[i].content[j].value + '" onerror="nof()">';
        } else if (data.data[i].content[j].type == 1) {
            if (typeof data.data[i].content[j].value == "object") {
                str += '<div><p>' + data.data[i].content[j].name + '</p><p>' +
                    '<span>' + data.data[i].content[j].value[0].year + '</span></p></div>';
            } else {
                if(data.data[i].content[j].name=='比例'){
                    str += '<div><p>' + data.data[i].content[j].name + '</p>' +
                        '<p><span>1/' +data.data[i].content[j].value + '</span></p></div>';
                } else {
                    str += '<div><p>' + data.data[i].content[j].name + '</p>' +
                        '<p><span>' +data.data[i].content[j].value + '</span></p></div>';
                }
            }
        } else if (data.data[i].content[j].type == 2) {
            var span = '';
            if (typeof data.data[i].content[j].value == "object") {
                for (var s = 0; s < data.data[i].content[j].value.length; s++) {
                    span += data.data[i].content[j].value[s].ct + '&nbsp;&nbsp;';
                }
            }
            str += '<div><p>' + data.data[i].content[j].name + '</p><p><span>' + span + '</span></p></div>'
        }
    }
    var fef = parseInt(data.data[0].fen.average / 2);
    var user = data.data[0].fen.sum_user;
    $('.section').html(str);
    var sta = "<span><i class='icon iconfont stt'>&#xe601;</i></span>"
    sa = "<div style='' class='star'><p>用户评分</p>" +
        "<p>" + sta + sta + sta + sta + sta + "<strong>" + data.data[0].fen.average + "</strong>" +
        "</p><p>已有" + user + "人评分</p></div>";
    $('.section').append(sa);
    for (var i = 0; i < fef; i++) {
        $(".star i").eq(i).removeClass("stt");
        $(".star i").eq(i).addClass("yellow");
    }
    imgC = $('.section img');
    imgc(imgC, data.data[i]);
}

//图片
function imgc(imgC) {
    var arr = [];
    for (var i = 0; i < imgC.length; i++) {
        arr[i] = imgC[i].src;
    }
    for (var index = 0; index < imgC.length; index++) {
        (function (index) {
            imgC[index].onclick = function () {
                console.log($(this).attr('src'));
                window.WebViewJavascriptBridge.callHandler(
                    'bigImageHandler',
                    {'index': index, 'imgs': arr}, function (responseData) {
                    });
            }
        })(index)
    }
}

// 点击用户去他主页
function handleOpenAuthor(ev, _this) {
    uid = parseInt($(_this).attr('date'));
    console.log(typeof uid);
    window.WebViewJavascriptBridge.callHandler(
        'tapUserAvatar'
        , {'userID': uid}
        , function (responseData) {
            console.info("responseData : " + responseData);
        });
}

// 回复帖子
function handleClickReplay(_this) {
    // mam=$(_this).parents("li").index()+1-$(_this).parents("li").index();
    // console.log($(_this).parents("li").scrollTop());
    // mat = Math.ceil($(_this).parents("li").index() / 10) - 1;
    var pi;
    if ($(_this).attr("pid")) {
        pi = parseInt($(_this).attr("pid"));
        console.log(typeof pi)
    } else {
        pi = "";
    }
    window.WebViewJavascriptBridge.callHandler(
        'replaySomeOne', {'fid': pi, "fen": fen}
        , function (responseData) {
        });
}

//广告
/*function sendToNativeUid(data) {
 console.log(data)
 var link = data.data.ad[0].link, link_type = data.data.ad[0].link_type;
 console.log(typeof link);
 console.log(typeof link_type);
 window.WebViewJavascriptBridge.callHandler("Turn", {
 "link": link,
 "link_type": link_type
 }, function (responseData) {
 console.log(responseData);
 })
 }*/

//加载更多
function BindWindowEvent() {
    var oet;
    var flag = true;
    var WINDOW_HEIGHT = window.innerHeight,
        $BODY = $('body')[0];
    // // 上拉加载更多评论
    $(window).off('scroll').on('scroll', function (e) {
        if (-$BODY.getBoundingClientRect().top > ($BODY.scrollHeight - $BODY.clientHeight - 1)) {
            if (swi) {
                shape()
            } else {
                console.log(off);
                console.log('没有数据了');
            }
        }
    });
}
function shape() {
    $("#div ul>p").remove();
    off += 10;
    $.ajax({
        url: "" + doma + "v2/kanban/list?offset=" + off + "&oid=" + wid + "&idtype=ct&limit=10&category_id=&fid=&is_friend=&is_fj=&is_jiajing=&is_hometop=",
        success: function (data) {
            setTimeout(function () {
                $('#log').hide();
            }, 500);
            $('.logo').children('img').attr('src', data.data.ad[0].cover);
            /*            $('.logo').click(function () {
             if(data.data.ad [0].link_type=="link"){

             touchURLEventHandler(data.data.ad [0].link)
             }else if(data.data.ad [0].link_type=="tid"){

             toUct(data.data.ad [0].tid,data.data.ad [0].link_type)
             }else if(data.data.ad [0].link_type=="cid"){

             toUcc(data.data.ad [0].cid,data.data.ad [0].link_type)
             }
             });*/
            if (data.data.comment.length > 0) {
                oet = off;
                for (var i = 0; i < data.data.comment.length; i++) {
                    (function (i) {
                        var fy = new Date(data.data.comment[i].ctime * 1000).getFullYear();
                        var mt = new Date(data.data.comment[i].ctime * 1000).getMonth() + 1;
                        var da = new Date(data.data.comment[i].ctime * 1000).getDate();
                        var img = '';
                        if (data.data.comment[i].parent.fj) {
                            for (var j = 0; j < data.data.comment[i].parent.fj.length; j++) {
                                img += '<img src="' + data.data.comment[i].parent.fj[j] + '" class="jie">'
                            }
                        }
                        var An = '';
                        var puse = '';
                        if (data.data.comment[i].parent.message) {
                            An = decodeURIComponent(data.data.comment[i].parent.message);
                            puse = data.data.comment[i].parent.user.username + "：";
                        } else {
                            An = "";
                            puse = "";
                        }
                        var image = '';
                        if (data.data.comment[i].fj.length > 0) {
                            for (var j = 0; j < data.data.comment[i].fj.length; j++) {
                                image += '<img src="' + data.data.comment[i].fj[j] + '" class="jie">';
                            }
                        }

                        var nec = decodeURIComponent(data.data.comment[i].message);

                        $(' #div ul').append('<li class="pl"><div>' +
                            '<img src="' + data.data.comment[i].user.cover + '" ' +
                            ' onclick="handleOpenAuthor(event,this)" onerror="nofind()"  date="' + data.data.comment[i].user.uid + '"><p>' +
                            '<span>' + data.data.comment[i].user.username + '</span>' +
                            '<span>' + data.data.comment[i].user.ugname + '</span><strong style="clear: both;display: block"></strong>' +
                            '<span>' + fy + "-" + mt + "-" + da + '</span></p></div>' +
                            '<div><p>' + nec + image + '</p>' + '<p  class="yic"><span><strong class="ston">' + puse + '</strong>' + An + img + '' + '</span></p>' +
                            '<p onclick="handleClickReplay(this)" pid="' + data.data.comment[i].id + '" Parid="' + data.data.comment[i].parent.id + '">' +
                            '<span>回复</span></p></div></li>');
                    })(i)
                }
            } else {
                $('#div ul').append("<p class='more'>没有更多了</p>")
                $("#loading").fadeOut(3000);
                off = oet;
                swi = false;
            }
            console.log(off);
        },
        error: function () {
        }
    });
}

// 匹配URL里面的 topic 链接
function matchTopicURL(str) {
    var found = str.match(/http:\/\/bbs.78dm.net\/forum.php\?mod=viewthread&tid=\d+/ig, str);

    if (found) {
        var tid = found[0].replace(/http:\/\/bbs.78dm.net\/forum.php\?mod=viewthread&tid=/ig, '');
        return {'id': tid, 'type': 'tid'};
    }

    return null;
}
// 匹配URL里面的 user 链接
function matchUserURL(str) {

    var found = str.match(/http:\/\/bbs.78dm.net\/home.php\?mod=space&uid=\d+/ig, str);

    if (found) {
        var uid = found[0].replace(/http:\/\/bbs.78dm.net\/home.php\?mod=space&uid=/ig, '');
        return {'id': uid, 'type': 'uid'};
    }

    return null;
}
// 打包参数
function getParamsFromURL(urlString) {
    // 匹配主题id的跳转
    var topicResult = matchTopicURL(urlString);
    if (topicResult) {
        console.log('tid 成功' + topicResult['tid']);
        return topicResult;
    }
    // 匹配用户id的跳转
    var userResult = matchUserURL(urlString);
    if (userResult) {
        console.log('uid 成功' + userResult.uid);
        return userResult;
    }

    // 其他URL链接
    return {'id': urlString, 'type': 'url'}
}

function touchURLEventHandler(urlString) {
    var parmas = getParamsFromURL(urlString)

    console.log(parmas);
    window.WebViewJavascriptBridge.callHandler(
        'openURLiOSHandler', parmas
        , function (responseData) {
        });
}

//广告tid

function toUct(tid, link_type) {
    var ti = tid.toString();
    window.WebViewJavascriptBridge.callHandler(
        'openURLiOSHandler', {"id": ti, "type": link_type}
        , function (responseData) {
        });
}

//广告cid
function toUcc(cid, link_type) {
    var ci = cid.toString();
    window.WebViewJavascriptBridge.callHandler(
        'openURLiOSHandler', {"id": ci, "type": link_type}
        , function (responseData) {
        });
}

//默认头像事件
function nofind() {

    var img = event.srcElement;  // 声明对象

    img.src = "./fonts/amn.png";  // 给一个服务器的图片地址

    img.onerror = null;//控制不要一直跳动
    //  这里可以写其他的判断代码，如向服务器请求照片。。。。。
}

//默认图片事件
function nof() {

    var img = event.srcElement;  // 声明对象

    img.src = "./fonts/banner.png";  // 给一个服务器的图片地址

    img.onerror = null;//控制不要一直跳动
    //  这里可以写其他的判断代码，如向服务器请求照片。。。。。
}

